Bug 299321 - locale first_weekday is wrong for en_GB
locale first_weekday is wrong for en_GB
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
9
All Linux
low Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-20 17:22 EDT by John Haxby
Modified: 2008-09-17 09:07 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-17 09:07:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Haxby 2007-09-20 17:22:24 EDT
Description of problem:

This problem shows up in the gtk calendar widget, among others, this widget uses
the locale's first_weekday to determine the first weekday for the calendar. 
This shows Sunday as the first day of the week, but UK calendars, diaries and so
on always show Monday as the first day of the week (indeed, it is not uncommon
in diaries to run Saturday and Sunday together into a single entry at the end of
the week.

Version-Release number of selected component (if applicable): glibc-2.6-4


How reproducible: Always


Steps to Reproduce:
1.  Look at a GTK calendar widget, note that Monday is not the first day of the
week.
2.  Alternatively, note that "locale first_weekday" reports 1, not 2.
  
Actual results:

The first day of the week is shown as Sunday


Expected results:

The first day of the week should be Monday for en_GB.


Additional info:

At first sight I thought this was just an annoyance.  I can put up with Sunday
being the first day of the week can't I?   Well, no, I can't.  It's very
difficult to switch to a calendar format that is different to every calendar and
every diary you've seen all your life.  It's awkward; it's like trying to read
mirror writing, not hard, but awkward and occasionally very confusing.
Comment 1 Ulrich Drepper 2007-09-30 14:25:03 EDT
Changed in upstream cvs.
Comment 2 Jakub Jelinek 2007-10-04 03:30:00 EDT
In glibc-2.6.90-17 in rawhide.
Comment 3 Nicola Soranzo 2008-07-04 11:33:52 EDT
The fix

http://sources.redhat.com/cgi-bin/cvsweb.cgi/libc/localedata/locales/en_GB.diff?r1=1.14&r2=1.15&cvsroot=glibc

was wrong. As said by the original reporter, it should be:

first_weekday 2
first_workday 2
Comment 4 Ulrich Drepper 2008-09-17 09:07:37 EDT
Changed upstream.  Will show up in rawhide at some point.

Note You need to log in before you can comment on or make changes to this bug.